org.eclipse.jgit.api.errors

## Class CheckoutConflictException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.jgit.api.errors.GitAPIException
      - - org.eclipse.jgit.api.errors.CheckoutConflictException

All Implemented Interfaces:
  Serializable

    public class CheckoutConflictException
    extends GitAPIException

Exception thrown when a command can't succeed because of unresolved conflicts.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CheckoutConflictException(List<String> conflictingPaths, CheckoutConflictException e)` Translate internal exception to API exception

### Method Summary

Methods
`List<String>` `getConflictingPaths()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CheckoutConflictException

    public CheckoutConflictException(List<String> conflictingPaths,
                             CheckoutConflictException e)

Translate internal exception to API exception

Parameters:
  `conflictingPaths` - list of conflicting paths
  `e` - a `CheckoutConflictException` exception

### Method Detail

#### getConflictingPaths

    public List<String> getConflictingPaths()

Returns:
  all the paths where unresolved conflicts have been detected